function c = impl_wi(a,b)
%   IMPL_WI(A,B)  Willmott's implication defined as:
%
%       impl_wi(A,B) = max(1 - Ax, min(Ax,Bx))
%
%   See also IMPL_BG, IMPL_GO, IMPL_KD, IMPL_LA, IMPL_LU, IMPL_MD,
%            IMPL_RE, IMPL_RS.

% (c) Robert Babuska, March 1993

[am,an] = size(a); [bm,bn] = size(b);
if ( am > 1 & an == 1 & bn > 1 )
    a = a * ones(1,bn);
    if ( bm == 1 )
        b = ones(am,1) * b;
    end;
end;

c = max(1 - a, min(a,b));

