function b=intsf(a)
%       B=INTSF(A) Contrast intensification defined as
%
%       Bx = 2 * Ax^2           for Ax <= 0.5
%       Bx = 1 - 2 * (1-a)^2    for Ax >  0.5
%
%       See also CONC, DIL, POWER, EXT, PLUS, MINUS, NORMAL.

% (c) Robert Babuska, March 1993

b = (a <= 0.5) .* (2*a.^2) + (a > 0.5) .* (1 - 2*(1 - a).^2);

